| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DDS::XTypes Module Reference

## Classes

struct | Dummy

## Typedefs

typedef octet | EquivalenceKind
typedef octet | TypeKind
typedef octet | TypeIdentiferKind
typedef string< MEMBER_NAME_MAX_LENGTH > | MemberName
typedef string< TYPE_NAME_MAX_LENGTH > | QualifiedTypeName
typedef octet | PrimitiveTypeId
typedef octet | EquivalenceHash[14]
typedef octet | NameHash[4]
typedef unsigned long | LBound
typedef sequence< LBound > | LBoundSeq
typedef octet | SBound
typedef sequence< SBound > | SBoundSeq
typedef MemberFlag | CollectionElementFlag
typedef MemberFlag | StructMemberFlag
typedef MemberFlag | UnionMemberFlag
typedef MemberFlag | UnionDiscriminatorFlag
typedef MemberFlag | EnumeratedLiteralFlag
typedef MemberFlag | AnnotationParameterFlag
typedef MemberFlag | AliasMemberFlag
typedef MemberFlag | BitflagFlag
typedef MemberFlag | BitsetMemberFlag
typedef TypeFlag | StructTypeFlag
typedef TypeFlag | UnionTypeFlag
typedef TypeFlag | CollectionTypeFlag
typedef TypeFlag | AnnotationTypeFlag
typedef TypeFlag | AliasTypeFlag
typedef TypeFlag | EnumTypeFlag
typedef TypeFlag | BitmaskTypeFlag
typedef TypeFlag | BitsetTypeFlag
typedef sequence< TypeIdentifier > | TypeIdentifierSeq
typedef unsigned long | MemberId
typedef sequence< AppliedAnnotationParameter > | AppliedAnnotationParameterSeq
typedef sequence< AppliedAnnotation > | AppliedAnnotationSeq
typedef sequence< CompleteStructMember > | CompleteStructMemberSeq
typedef sequence< MinimalStructMember > | MinimalStructMemberSeq
typedef sequence< long > | UnionCaseLabelSeq
typedef sequence< CompleteUnionMember > | CompleteUnionMemberSeq
typedef sequence< MinimalUnionMember > | MinimalUnionMemberSeq
typedef sequence< CompleteAnnotationParameter > | CompleteAnnotationParameterSeq
typedef sequence< MinimalAnnotationParameter > | MinimalAnnotationParameterSeq
typedef unsigned short | BitBound
typedef sequence< CompleteEnumeratedLiteral > | CompleteEnumeratedLiteralSeq
typedef sequence< MinimalEnumeratedLiteral > | MinimalEnumeratedLiteralSeq
typedef sequence< CompleteBitflag > | CompleteBitflagSeq
typedef sequence< MinimalBitflag > | MinimalBitflagSeq
typedef CompleteEnumeratedHeader | CompleteBitmaskHeader
typedef MinimalEnumeratedHeader | MinimalBitmaskHeader
typedef sequence< CompleteBitfield > | CompleteBitfieldSeq
typedef sequence< MinimalBitfield > | MinimalBitfieldSeq
typedef sequence< TypeObject > | TypeObjectSeq
typedef TypeObjectSeq | StronglyConnectedComponent
typedef sequence< TypeIdentifierTypeObjectPair > | TypeIdentifierTypeObjectPairSeq
typedef sequence< TypeIdentifierPair > | TypeIdentifierPairSeq
typedef sequence< TypeIdentfierWithSize > | TypeIdentfierWithSizeSeq
typedef sequence< TypeIdentifierWithDependencies > | TypeIdentifierWithDependenciesSeq
typedef sequence< TypeInformation > | TypeInformationSeq

## Functions

| extensibility (FINAL) @nested union TypeObjectHashId switch(octet)
| bit_bound (16) bitmask MemberFlag
| extensibility (APPENDABLE) @nested struct StronglyConnectedComponentId
| extensibility (MUTABLE) @nested struct ExtendedTypeDefn

## Variables

const octet | EK_MINIMAL = 0xF1
const octet | EK_COMPLETE = 0xF2
const octet | EK_BOTH = 0xF3
const octet | TK_NONE = 0x00
const octet | TK_BOOLEAN = 0x01
const octet | TK_BYTE = 0x02
const octet | TK_INT16 = 0x03
const octet | TK_INT32 = 0x04
const octet | TK_INT64 = 0x05
const octet | TK_UINT16 = 0x06
const octet | TK_UINT32 = 0x07
const octet | TK_UINT64 = 0x08
const octet | TK_FLOAT32 = 0x09
const octet | TK_FLOAT64 = 0x0A
const octet | TK_FLOAT128 = 0x0B
const octet | TK_INT8 = 0x0C
const octet | TK_UINT8 = 0x0D
const octet | TK_CHAR8 = 0x10
const octet | TK_CHAR16 = 0x11
const octet | TK_STRING8 = 0x20
const octet | TK_STRING16 = 0x21
const octet | TK_ALIAS = 0x30
const octet | TK_ENUM = 0x40
const octet | TK_BITMASK = 0x41
const octet | TK_ANNOTATION = 0x50
const octet | TK_STRUCTURE = 0x51
const octet | TK_UNION = 0x52
const octet | TK_BITSET = 0x53
const octet | TK_SEQUENCE = 0x60
const octet | TK_ARRAY = 0x61
const octet | TK_MAP = 0x62
const octet | TI_STRING8_SMALL = 0x70
const octet | TI_STRING8_LARGE = 0x71
const octet | TI_STRING16_SMALL = 0x72
const octet | TI_STRING16_LARGE = 0x73
const octet | TI_PLAIN_SEQUENCE_SMALL = 0x80
const octet | TI_PLAIN_SEQUENCE_LARGE = 0x81
const octet | TI_PLAIN_ARRAY_SMALL = 0x90
const octet | TI_PLAIN_ARRAY_LARGE = 0x91
const octet | TI_PLAIN_MAP_SMALL = 0xA0
const octet | TI_PLAIN_MAP_LARGE = 0xA1
const octet | TI_STRONGLY_CONNECTED_COMPONENT = 0xB0
const long | MEMBER_NAME_MAX_LENGTH = 256
const long | TYPE_NAME_MAX_LENGTH = 256
const LBound | INVALID_LBOUND = 0
const SBound | INVALID_SBOUND = 0
const unsigned short | MemberFlagMinimalMask = 0x003f
const unsigned short | TypeFlagMinimalMask = 0x0007
const unsigned long | ANNOTATION_STR_VALUE_MAX_LEN = 128
const unsigned long | ANNOTATION_OCTETSEC_VALUE_MAX_LEN = 128

## Typedef Documentation

## ◆ AliasMemberFlag

typedef MemberFlag AliasMemberFlag

## ◆ AliasTypeFlag

typedef TypeFlag AliasTypeFlag

## ◆ AnnotationParameterFlag

typedef MemberFlag AnnotationParameterFlag

## ◆ AnnotationTypeFlag

typedef TypeFlag AnnotationTypeFlag

## ◆ AppliedAnnotationParameterSeq

typedef sequence<AppliedAnnotationParameter> AppliedAnnotationParameterSeq

## ◆ AppliedAnnotationSeq

typedef sequence<AppliedAnnotation> AppliedAnnotationSeq

## ◆ BitBound

typedef unsigned short BitBound

## ◆ BitflagFlag

typedef MemberFlag BitflagFlag

## ◆ BitmaskTypeFlag

typedef TypeFlag BitmaskTypeFlag

## ◆ BitsetMemberFlag

typedef MemberFlag BitsetMemberFlag

## ◆ BitsetTypeFlag

typedef TypeFlag BitsetTypeFlag

## ◆ CollectionElementFlag

typedef MemberFlag CollectionElementFlag

## ◆ CollectionTypeFlag

typedef TypeFlag CollectionTypeFlag

## ◆ CompleteAnnotationParameterSeq

typedef sequence<CompleteAnnotationParameter> CompleteAnnotationParameterSeq

## ◆ CompleteBitfieldSeq

typedef sequence<CompleteBitfield> CompleteBitfieldSeq

## ◆ CompleteBitflagSeq

typedef sequence<CompleteBitflag> CompleteBitflagSeq

## ◆ CompleteBitmaskHeader

typedef CompleteEnumeratedHeader CompleteBitmaskHeader

## ◆ CompleteEnumeratedLiteralSeq

typedef sequence<CompleteEnumeratedLiteral> CompleteEnumeratedLiteralSeq

## ◆ CompleteStructMemberSeq

typedef sequence<CompleteStructMember> CompleteStructMemberSeq

## ◆ CompleteUnionMemberSeq

typedef sequence<CompleteUnionMember> CompleteUnionMemberSeq

## ◆ EnumeratedLiteralFlag

typedef MemberFlag EnumeratedLiteralFlag

## ◆ EnumTypeFlag

typedef TypeFlag EnumTypeFlag

## ◆ EquivalenceHash

typedef octet EquivalenceHash[14]

## ◆ EquivalenceKind

typedef octet EquivalenceKind

## ◆ LBound

typedef unsigned long LBound

## ◆ LBoundSeq

typedef sequence<LBound> LBoundSeq

## ◆ MemberId

typedef unsigned long MemberId

## ◆ MemberName

typedef string<MEMBER_NAME_MAX_LENGTH> MemberName

## ◆ MinimalAnnotationParameterSeq

typedef sequence<MinimalAnnotationParameter> MinimalAnnotationParameterSeq

## ◆ MinimalBitfieldSeq

typedef sequence<MinimalBitfield> MinimalBitfieldSeq

## ◆ MinimalBitflagSeq

typedef sequence<MinimalBitflag> MinimalBitflagSeq

## ◆ MinimalBitmaskHeader

typedef MinimalEnumeratedHeader MinimalBitmaskHeader

## ◆ MinimalEnumeratedLiteralSeq

typedef sequence<MinimalEnumeratedLiteral> MinimalEnumeratedLiteralSeq

## ◆ MinimalStructMemberSeq

typedef sequence<MinimalStructMember> MinimalStructMemberSeq

## ◆ MinimalUnionMemberSeq

typedef sequence<MinimalUnionMember> MinimalUnionMemberSeq

## ◆ NameHash

typedef octet NameHash[4]

## ◆ PrimitiveTypeId

typedef octet PrimitiveTypeId

## ◆ QualifiedTypeName

typedef string<TYPE_NAME_MAX_LENGTH> QualifiedTypeName

## ◆ SBound

typedef octet SBound

## ◆ SBoundSeq

typedef sequence<SBound> SBoundSeq

## ◆ StronglyConnectedComponent

typedef TypeObjectSeq StronglyConnectedComponent

## ◆ StructMemberFlag

typedef MemberFlag StructMemberFlag

## ◆ StructTypeFlag

typedef TypeFlag StructTypeFlag

## ◆ TypeIdentfierWithSizeSeq

typedef sequence<TypeIdentfierWithSize> TypeIdentfierWithSizeSeq

## ◆ TypeIdentiferKind

typedef octet TypeIdentiferKind

## ◆ TypeIdentifierPairSeq

typedef sequence<TypeIdentifierPair> TypeIdentifierPairSeq

## ◆ TypeIdentifierSeq

typedef sequence<TypeIdentifier> TypeIdentifierSeq

## ◆ TypeIdentifierTypeObjectPairSeq

typedef sequence<TypeIdentifierTypeObjectPair> TypeIdentifierTypeObjectPairSeq

## ◆ TypeIdentifierWithDependenciesSeq

typedef sequence<TypeIdentifierWithDependencies> TypeIdentifierWithDependenciesSeq

## ◆ TypeInformationSeq

typedef sequence<TypeInformation> TypeInformationSeq

## ◆ TypeKind

typedef octet TypeKind

## ◆ TypeObjectSeq

typedef sequence<TypeObject> TypeObjectSeq

## ◆ UnionCaseLabelSeq

typedef sequence<long> UnionCaseLabelSeq

## ◆ UnionDiscriminatorFlag

typedef MemberFlag UnionDiscriminatorFlag

## ◆ UnionMemberFlag

typedef MemberFlag UnionMemberFlag

## ◆ UnionTypeFlag

typedef TypeFlag UnionTypeFlag

## Function Documentation

## ◆ bit_bound()

bit_bound | ( | 16 |  | ) |

## ◆ extensibility() [1/3]

extensibility | ( | APPENDABLE |  | ) |

## ◆ extensibility() [2/3]

extensibility | ( | FINAL |  | ) |

## ◆ extensibility() [3/3]

extensibility | ( | MUTABLE |  | ) |

## Variable Documentation

## ◆ ANNOTATION_OCTETSEC_VALUE_MAX_LEN

const unsigned long ANNOTATION_OCTETSEC_VALUE_MAX_LEN = 128

## ◆ ANNOTATION_STR_VALUE_MAX_LEN

const unsigned long ANNOTATION_STR_VALUE_MAX_LEN = 128

## ◆ EK_BOTH

const octet EK_BOTH = 0xF3

## ◆ EK_COMPLETE

const octet EK_COMPLETE = 0xF2

## ◆ EK_MINIMAL

const octet EK_MINIMAL = 0xF1

## ◆ INVALID_LBOUND

const LBound INVALID_LBOUND = 0

## ◆ INVALID_SBOUND

const SBound INVALID_SBOUND = 0

## ◆ MEMBER_NAME_MAX_LENGTH

const long MEMBER_NAME_MAX_LENGTH = 256

## ◆ MemberFlagMinimalMask

const unsigned short MemberFlagMinimalMask = 0x003f

## ◆ TI_PLAIN_ARRAY_LARGE

const octet TI_PLAIN_ARRAY_LARGE = 0x91

## ◆ TI_PLAIN_ARRAY_SMALL

const octet TI_PLAIN_ARRAY_SMALL = 0x90

## ◆ TI_PLAIN_MAP_LARGE

const octet TI_PLAIN_MAP_LARGE = 0xA1

## ◆ TI_PLAIN_MAP_SMALL

const octet TI_PLAIN_MAP_SMALL = 0xA0

## ◆ TI_PLAIN_SEQUENCE_LARGE

const octet TI_PLAIN_SEQUENCE_LARGE = 0x81

## ◆ TI_PLAIN_SEQUENCE_SMALL

const octet TI_PLAIN_SEQUENCE_SMALL = 0x80

## ◆ TI_STRING16_LARGE

const octet TI_STRING16_LARGE = 0x73

## ◆ TI_STRING16_SMALL

const octet TI_STRING16_SMALL = 0x72

## ◆ TI_STRING8_LARGE

const octet TI_STRING8_LARGE = 0x71

## ◆ TI_STRING8_SMALL

const octet TI_STRING8_SMALL = 0x70

## ◆ TI_STRONGLY_CONNECTED_COMPONENT

const octet TI_STRONGLY_CONNECTED_COMPONENT = 0xB0

## ◆ TK_ALIAS

const octet TK_ALIAS = 0x30

## ◆ TK_ANNOTATION

const octet TK_ANNOTATION = 0x50

## ◆ TK_ARRAY

const octet TK_ARRAY = 0x61

## ◆ TK_BITMASK

const octet TK_BITMASK = 0x41

## ◆ TK_BITSET

const octet TK_BITSET = 0x53

## ◆ TK_BOOLEAN

const octet TK_BOOLEAN = 0x01

## ◆ TK_BYTE

const octet TK_BYTE = 0x02

## ◆ TK_CHAR16

const octet TK_CHAR16 = 0x11

## ◆ TK_CHAR8

const octet TK_CHAR8 = 0x10

## ◆ TK_ENUM

const octet TK_ENUM = 0x40

## ◆ TK_FLOAT128

const octet TK_FLOAT128 = 0x0B

## ◆ TK_FLOAT32

const octet TK_FLOAT32 = 0x09

## ◆ TK_FLOAT64

const octet TK_FLOAT64 = 0x0A

## ◆ TK_INT16

const octet TK_INT16 = 0x03

## ◆ TK_INT32

const octet TK_INT32 = 0x04

## ◆ TK_INT64

const octet TK_INT64 = 0x05

## ◆ TK_INT8

const octet TK_INT8 = 0x0C

## ◆ TK_MAP

const octet TK_MAP = 0x62

## ◆ TK_NONE

const octet TK_NONE = 0x00

## ◆ TK_SEQUENCE

const octet TK_SEQUENCE = 0x60

## ◆ TK_STRING16

const octet TK_STRING16 = 0x21

## ◆ TK_STRING8

const octet TK_STRING8 = 0x20

## ◆ TK_STRUCTURE

const octet TK_STRUCTURE = 0x51

## ◆ TK_UINT16

const octet TK_UINT16 = 0x06

## ◆ TK_UINT32

const octet TK_UINT32 = 0x07

## ◆ TK_UINT64

const octet TK_UINT64 = 0x08

## ◆ TK_UINT8

const octet TK_UINT8 = 0x0D

## ◆ TK_UNION

const octet TK_UNION = 0x52

## ◆ TYPE_NAME_MAX_LENGTH

const long TYPE_NAME_MAX_LENGTH = 256

## ◆ TypeFlagMinimalMask

const unsigned short TypeFlagMinimalMask = 0x0007